| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | Public Attributes | List of all members
Ogre::BillboardChain::Element Class Reference

Contains the data of an element of the BillboardChain. More...

`#include <OgreBillboardChain.h>`

## Public Member Functions
| Element ()
| Element (const Vector3 &position, Real width, Real texCoord, const ColourValue &colour, const Quaternion &orientation)

## Public Attributes
ColourValue | colour
Quaternion | orientation
| Only used when mFaceCamera == false. More...
Vector3 | position
Real | texCoord
| U or V texture coord depending on options. More...
Real | width

## Detailed Description

Contains the data of an element of the BillboardChain.

## Constructor & Destructor Documentation

## ◆ Element() [1/2]

Ogre::BillboardChain::Element::Element | ( |  | ) |

## ◆ Element() [2/2]

Ogre::BillboardChain::Element::Element | ( | const Vector3 & | position,
|  | Real | width,
|  | Real | texCoord,
|  | const ColourValue & | colour,
|  | const Quaternion & | orientation
| ) |  |

## Member Data Documentation

## ◆ position

Vector3 Ogre::BillboardChain::Element::position

## ◆ width

Real Ogre::BillboardChain::Element::width

## ◆ texCoord

Real Ogre::BillboardChain::Element::texCoord

U or V texture coord depending on options.

## ◆ colour

ColourValue Ogre::BillboardChain::Element::colour

## ◆ orientation

Quaternion Ogre::BillboardChain::Element::orientation

Only used when mFaceCamera == false.

The documentation for this class was generated from the following file:

- OgreBillboardChain.h